Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 782210 - RHEV error in config unless export domain has word 'export' in name
Summary: RHEV error in config unless export domain has word 'export' in name
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: CloudForms Cloud Engine
Classification: Retired
Component: aeolus-configure
Version: 1.0.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
Assignee: Richard Su
QA Contact: wes hayutin
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-01-16 20:53 UTC by Steve Reichard
Modified: 2012-08-30 17:18 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description Steve Reichard 2012-01-16 20:53:30 UTC
Description of problem:

With the new latest release - I tried to use config our RHEV env and got an error.

Launching aeolus configuration recipe...
notice: /File[/usr/share/aeolus-conductor/config/initializers/secret_token.rb]/content: content changed '{md5}c6fc71a39d0f4b4967fdaab8b5f20592' to '{md5}8347dbb742d9f936b2c5c67413757359'
notice: /File[/rsyslog]/seltype: seltype changed 'etc_runtime_t' to 'default_t'
notice: /Stage[main]/Aeolus::Conductor/Rails::Create::Db[create_aeolus_database]/Exec[create_rails_database]/returns: conductor already exists
notice: /Stage[main]/Aeolus::Conductor/Rails::Create::Db[create_aeolus_database]/Exec[create_rails_database]/returns: Using gem require instead of bundler
notice: /Stage[main]/Aeolus::Conductor/Rails::Create::Db[create_aeolus_database]/Exec[create_rails_database]/returns: executed successfully
notice: /Stage[main]/Aeolus::Conductor/Rails::Migrate::Db[migrate_aeolus_database]/Exec[migrate_rails_database]/returns: executed successfully
notice: /Stage[main]/Apache/Exec[permit-http-networking]/returns: executed successfully
notice: /Stage[main]/Aeolus::Profiles::Ec2/Aeolus::Conductor::Login[admin]/Web_request[admin-conductor-login]/post: post changed '' to 'https://localhost/conductor/user_session'
notice: /Stage[main]/Aeolus::Profiles::Ec2/Aeolus::Conductor::Hwp[hwp1]/Web_request[hwp-hwp1]/post: post changed '' to 'https://localhost/conductor/hardware_profiles'
notice: /Stage[main]/Aeolus::Deltacloud::Core/Exec[deltacloud-core-startup-wait]/returns: executed successfully
notice: /Stage[main]/Aeolus::Profiles::Ec2/Aeolus::Conductor::Provider[ec2-us-west-2]/Web_request[provider-ec2-us-west-2]/post: post changed '' to 'https://localhost/conductor/providers'
notice: /Stage[main]/Aeolus::Profiles::Ec2/Aeolus::Conductor::Provider[ec2-ap-southeast-1]/Web_request[provider-ec2-ap-southeast-1]/post: post changed '' to 'https://localhost/conductor/providers'
notice: /Stage[main]/Aeolus::Profiles::Ec2/Aeolus::Conductor::Provider[ec2-us-west-1]/Web_request[provider-ec2-us-west-1]/post: post changed '' to 'https://localhost/conductor/providers'
notice: /Stage[main]/Aeolus::Profiles::Ec2/Aeolus::Conductor::Provider[ec2-ap-northeast-1]/Web_request[provider-ec2-ap-northeast-1]/post: post changed '' to 'https://localhost/conductor/providers'
notice: /Stage[main]/Aeolus::Profiles::Ec2/Aeolus::Conductor::Provider[ec2-us-east-1]/Web_request[provider-ec2-us-east-1]/post: post changed '' to 'https://localhost/conductor/providers'
notice: /Stage[main]/Aeolus::Profiles::Ec2/Aeolus::Conductor::Provider[ec2-eu-west-1]/Web_request[provider-ec2-eu-west-1]/post: post changed '' to 'https://localhost/conductor/providers'
notice: /Stage[main]/Aeolus::Profiles::Ec2/Aeolus::Conductor::Logout[admin]/Web_request[admin-conductor-logout]/post: post changed '' to 'https://localhost/conductor/logout'
notice: /File[/data]/seltype: seltype changed 'etc_runtime_t' to 'default_t'
notice: /Stage[main]/Aeolus::Profiles::Ec2/Aeolus::Create_bucket[aeolus]/Exec[create-bucket-aeolus]/returns:   % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
notice: /Stage[main]/Aeolus::Profiles::Ec2/Aeolus::Create_bucket[aeolus]/Exec[create-bucket-aeolus]/returns:                                  Dload  Upload   Total   Spent    Left  Speed
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0create-bucket-aeolus]/returns: 
notice: /Stage[main]/Aeolus::Profiles::Ec2/Aeolus::Create_bucket[aeolus]/Exec[create-bucket-aeolus]/returns: executed successfully
notice: Finished catalog run in 25.43 seconds
notice: /Stage[main]/Apache/Exec[permit-http-networking]/returns: executed successfully
notice: /File[/etc/imagefactory/vsphere.json]/ensure: defined content as '{md5}d5b7b647347d0e7530fd0517c86a2b8e'
notice: /Stage[main]/Aeolus::Deltacloud::Core/Exec[deltacloud-core-startup-wait]/returns: executed successfully
notice: /Stage[main]/Aeolus::Profiles::Vsphere/Aeolus::Create_bucket[aeolus]/Exec[create-bucket-aeolus]/returns:   % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
notice: /Stage[main]/Aeolus::Profiles::Vsphere/Aeolus::Create_bucket[aeolus]/Exec[create-bucket-aeolus]/returns:                                  Dload  Upload   Total   Spent    Left  Speed
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0xec[create-bucket-aeolus]/returns: 
notice: /Stage[main]/Aeolus::Profiles::Vsphere/Aeolus::Create_bucket[aeolus]/Exec[create-bucket-aeolus]/returns: executed successfully
notice: /Stage[main]/Aeolus::Conductor/Rails::Create::Db[create_aeolus_database]/Exec[create_rails_database]/returns: conductor already exists
notice: /Stage[main]/Aeolus::Conductor/Rails::Create::Db[create_aeolus_database]/Exec[create_rails_database]/returns: Using gem require instead of bundler
notice: /Stage[main]/Aeolus::Conductor/Rails::Create::Db[create_aeolus_database]/Exec[create_rails_database]/returns: executed successfully
notice: /Stage[main]/Aeolus::Conductor/Rails::Migrate::Db[migrate_aeolus_database]/Exec[migrate_rails_database]/returns: executed successfully
notice: /Stage[main]/Aeolus::Profiles::Vsphere/Aeolus::Conductor::Login[admin]/Web_request[admin-conductor-login]/post: post changed '' to 'https://localhost/conductor/user_session'
notice: /Stage[main]/Aeolus::Profiles::Vsphere/Aeolus::Conductor::Provider[vsphere]/Web_request[provider-vsphere]/post: post changed '' to 'https://localhost/conductor/providers'
notice: /Stage[main]/Aeolus::Profiles::Vsphere/Aeolus::Conductor::Hwp[hwp1]/Web_request[hwp-hwp1]/post: post changed '' to 'https://localhost/conductor/hardware_profiles'
notice: /Stage[main]/Aeolus::Profiles::Vsphere/Aeolus::Conductor::Logout[admin]/Web_request[admin-conductor-logout]/post: post changed '' to 'https://localhost/conductor/logout'
notice: Finished catalog run in 23.01 seconds
err: /Stage[main]/Aeolus::Profiles::Rhevm/Web_request[rhevm-check-export-path-is-export-type]/get: change from  to https://cf-rhev3m.cloud.lab.eng.bos.redhat.com:8443/api/storagedomains?search=export failed: An exception was raised when invoking web request: Expecting //storage_domains/storage_domain/storage/path[text() = '/pub/projects/cloudforms/nfs_exports/rhev3'] in the result
notice: /File[/etc/imagefactory/rhevm.json]/ensure: defined content as '{md5}3394bccbd934f070e8b8392df11f58f3'
notice: /Stage[main]/Apache/Exec[permit-http-networking]/returns: executed successfully
notice: /File[/mnt/rhevm-nfs]/ensure: created
notice: /Stage[main]/Aeolus::Profiles::Rhevm/Mount[/mnt/rhevm-nfs]: Dependency Web_request[rhevm-check-export-path-is-export-type] has failures: true
warning: /Stage[main]/Aeolus::Profiles::Rhevm/Mount[/mnt/rhevm-nfs]: Skipping because of failed dependencies
notice: /Stage[main]/Aeolus::Deltacloud::Core/Exec[deltacloud-core-startup-wait]/returns: executed successfully
notice: /Stage[main]/Aeolus::Conductor/Rails::Create::Db[create_aeolus_database]/Exec[create_rails_database]/returns: conductor already exists
notice: /Stage[main]/Aeolus::Conductor/Rails::Create::Db[create_aeolus_database]/Exec[create_rails_database]/returns: Using gem require instead of bundler
notice: /Stage[main]/Aeolus::Conductor/Rails::Create::Db[create_aeolus_database]/Exec[create_rails_database]/returns: executed successfully
notice: /Stage[main]/Aeolus::Conductor/Rails::Migrate::Db[migrate_aeolus_database]/Exec[migrate_rails_database]/returns: executed successfully
notice: /Stage[main]/Aeolus::Profiles::Rhevm/Aeolus::Conductor::Login[admin]/Web_request[admin-conductor-login]/post: post changed '' to 'https://localhost/conductor/user_session'
notice: /Stage[main]/Aeolus::Profiles::Rhevm/Aeolus::Conductor::Hwp[hwp1]/Web_request[hwp-hwp1]/post: post changed '' to 'https://localhost/conductor/hardware_profiles'
notice: /Stage[main]/Aeolus::Profiles::Rhevm/Aeolus::Conductor::Provider[rhevm]/Web_request[provider-rhevm]/post: post changed '' to 'https://localhost/conductor/providers'
notice: /Stage[main]/Aeolus::Profiles::Rhevm/Aeolus::Conductor::Logout[admin]/Web_request[admin-conductor-logout]/post: post changed '' to 'https://localhost/conductor/logout'
notice: /Stage[main]/Aeolus::Profiles::Rhevm/Aeolus::Create_bucket[aeolus]/Exec[create-bucket-aeolus]/returns:   % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
notice: /Stage[main]/Aeolus::Profiles::Rhevm/Aeolus::Create_bucket[aeolus]/Exec[create-bucket-aeolus]/returns:                                  Dload  Upload   Total   Spent    Left  Speed
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0c[create-bucket-aeolus]/returns: 
notice: /Stage[main]/Aeolus::Profiles::Rhevm/Aeolus::Create_bucket[aeolus]/Exec[create-bucket-aeolus]/returns: executed successfully
notice: Finished catalog run in 23.55 seconds




Here was my config file:

[root@cf-cloudforms5 ~]# cat /etc/aeolus-configure/nodes/rhevm_configure 
---
parameters:
  enable_https: true
  enable_security: false
  package_provider: rpm
# Uncomment and provide values to match your RHEV environment.
# Values below are examples.
  rhevm_nfs_server: refarch.cloud.lab.eng.bos.redhat.com
  rhevm_nfs_export: /pub/projects/cloudforms/nfs_exports/rhev3
  rhevm_nfs_mount_point: /mnt/rhevm-nfs
  rhevm_deltacloud_username: admin@internal
  rhevm_deltacloud_password: 100yard-
  rhevm_deltacloud_api: https://cf-rhev3m.cloud.lab.eng.bos.redhat.com:8443/api
  rhevm_deltacloud_data_center: e1b535fe-fee6-4f23-95b1-4630b99522d3
  rhevm_push_timeout: 1800
classes:
- aeolus::conductor
- aeolus::image-factory
- aeolus::iwhd
- aeolus::deltacloud::core
- aeolus::profiles::rhevm

[root@cf-cloudforms5 ~]# 


Here is what curl returned for the data centers:

[root@ra-users aeolus]# curl -k -u admin@internal:100yard- https://cf-rhev3m:8443/api/datacenters
<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<data_centers>
    <data_center id="e1b535fe-fee6-4f23-95b1-4630b99522d3" href="/api/datacenters/e1b535fe-fee6-4f23-95b1-4630b99522d3">
        <name>dc1</name>
        <description></description>
        <link rel="storagedomains" href="/api/datacenters/e1b535fe-fee6-4f23-95b1-4630b99522d3/storagedomains"/>
        <link rel="permissions" href="/api/datacenters/e1b535fe-fee6-4f23-95b1-4630b99522d3/permissions"/>
        <storage_type>iscsi</storage_type>
        <storage_format>v2</storage_format>
        <version minor="0" major="3"/>
        <supported_versions>
            <version minor="0" major="3"/>
        </supported_versions>
        <status>
            <state>up</state>
        </status>
    </data_center>
    <data_center id="d2776fbc-22a7-11e1-b33d-525400e28ebe" href="/api/datacenters/d2776fbc-22a7-11e1-b33d-525400e28ebe">
        <name>Default</name>
        <description>The default Data Center</description>
        <link rel="storagedomains" href="/api/datacenters/d2776fbc-22a7-11e1-b33d-525400e28ebe/storagedomains"/>
        <link rel="permissions" href="/api/datacenters/d2776fbc-22a7-11e1-b33d-525400e28ebe/permissions"/>
        <storage_type>iscsi</storage_type>
        <version minor="0" major="3"/>
        <supported_versions>
            <version minor="0" major="3"/>
        </supported_versions>
        <status>
            <state>uninitialized</state>
        </status>
    </data_center>
</data_centers>
[root@ra-users aeolus]#


The curl to search for storate domain:

[root@ra-users aeolus]# curl -k -u admin@internal:100yard- https://cf-rhev3m:8443/api/storagedomains?search=export
<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<storage_domains/>


Here are the storage domains (rhev3 being the export):

[root@ra-users aeolus]# curl -k -u admin@internal:100yard- https://cf-rhev3m:8443/api/storagedomains
<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<storage_domains>
    <storage_domain id="8764ec97-d82d-4611-b040-53037cf2312d" href="/api/storagedomains/8764ec97-d82d-4611-b040-53037cf2312d">
        <name>dc1iSCSI</name>
        <link rel="permissions" href="/api/storagedomains/8764ec97-d82d-4611-b040-53037cf2312d/permissions"/>
        <type>data</type>
        <master>true</master>
        <storage>
            <type>iscsi</type>
            <volume_group id="CjsUIY-8d1X-aQKo-R009-vIdZ-D0fT-aN8Cai">
                <logical_unit id="36006048c70c5ac8ff86b19367bc89dc3">
                    <address>10.16.143.196</address>
                    <port>3260</port>
                    <target>iqn.1994-05.com.redhat:cf-rhevh</target>
                    <username>iqn.1994-05.com.redhat:cf-rhevh</username>
                    <serial>SEMC_Celerra_EMC-Celerra-iSCSI-VLU-fs40_T40_LUN16_APM001043016750000</serial>
                    <vendor_id>EMC</vendor_id>
                    <product_id>Celerra</product_id>
                    <lun_mapping>16</lun_mapping>
                    <portal>10.16.143.196:3260,1</portal>
                    <size>206158430208</size>
                    <paths>0</paths>
                </logical_unit>
            </volume_group>
        </storage>
        <available>201863462912</available>
        <used>4294967296</used>
        <committed>0</committed>
        <storage_format>v2</storage_format>
    </storage_domain>
    <storage_domain id="79e3f458-4d01-42b1-b133-16df655b38ad" href="/api/storagedomains/79e3f458-4d01-42b1-b133-16df655b38ad">
        <name>RefISOs</name>
        <link rel="permissions" href="/api/storagedomains/79e3f458-4d01-42b1-b133-16df655b38ad/permissions"/>
        <link rel="files" href="/api/storagedomains/79e3f458-4d01-42b1-b133-16df655b38ad/files"/>
        <type>iso</type>
        <master>false</master>
        <storage>
            <type>nfs</type>
            <address>cf-rhev3m.cloud.lab.eng.bos.redhat.com</address>
            <path>/mnt/isos</path>
        </storage>
        <available>0</available>
        <used>0</used>
        <committed>0</committed>
        <storage_format>v1</storage_format>
    </storage_domain>
    <storage_domain id="455a2bda-6acd-4cef-b7aa-9d94724416c8" href="/api/storagedomains/455a2bda-6acd-4cef-b7aa-9d94724416c8">
        <name>rhev3</name>
        <link rel="permissions" href="/api/storagedomains/455a2bda-6acd-4cef-b7aa-9d94724416c8/permissions"/>
        <link rel="templates" href="/api/storagedomains/455a2bda-6acd-4cef-b7aa-9d94724416c8/templates"/>
        <link rel="vms" href="/api/storagedomains/455a2bda-6acd-4cef-b7aa-9d94724416c8/vms"/>
        <type>export</type>
        <master>false</master>
        <storage>
            <type>nfs</type>
            <address>refarch.cloud.lab.eng.bos.redhat.com</address>
            <path>/pub/projects/cloudforms/nfs_exports/rhev3</path>
        </storage>
        <available>368293445632</available>
        <used>1533303324672</used>
        <committed>0</committed>
        <storage_format>v1</storage_format>
    </storage_domain>
</storage_domains>
[root@ra-users aeolus]# 


weshay suggest changing the name of the export to include "export" and the configure then worked.


Version-Release number of selected component (if applicable):

Red Hat Enterprise Linux Server release 6.2 (Santiago)
Linux cf-cloudforms5.cloud.lab.eng.bos.redhat.com 2.6.32-220.2.1.el6.x86_64 #1 SMP Tue Dec 13 16:21:34 EST 2011 x86_64 x86_64 x86_64 GNU/Linux
postgresql-8.4.9-1.el6_1.1.x86_64
mongodb-1.8.0-6.el6.x86_64
euca2ools-1.3.1-4.el6_0.noarch
ruby-1.8.7.352-3.el6.x86_64
rubygems-1.8.10-1.el6.noarch
deltacloud-core-0.5.0-0.rc1.el6.noarch
rubygem-deltacloud-client-0.4.0-3.el6.noarch
package libdeltacloud is not installed
hail-0.8-0.2.gf9c5b967.el6_0.x86_64
puppet-2.6.6-1.el6_0.noarch
aeolus-configure-2.5.0-4.el6.noarch
iwhd-1.2-3.el6.x86_64
imagefactory-1.0.0rc2.1-1.el6.noarch
aeolus-conductor-daemons-0.8.0-5.el6.noarch
aeolus-conductor-0.8.0-5.el6.noarch


How reproducible:

Errored for several tries and for several cloud engines attempting to use.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 wes hayutin 2012-01-16 21:01:47 UTC
before renaming export domain to blah-export

[whayutin@whayutin ~]$ curl -k -u admin@iasdf:asdf //cf-rhevasdfredhat.com:8443/api/storagedomains?search=export
<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<storage_domains/>

after renaming to blah-export

[whayutin@whayutin ~]$ curl -k -u admin@asdfl:asdf https://cf-rheasdft.com:8443/api/storagedomains?search=export
<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<storage_domains>
    <storage_domain id="455a2bda-6acd-4cef-b7aa-9d94724416c8" href="/api/storagedomains/455a2bda-6acd-4cef-b7aa-9d94724416c8">
        <name>rhev3-export</name>
        <link rel="permissions" href="/api/storagedomains/455a2bda-6acd-4cef-b7aa-9d94724416c8/permissions"/>
        <link rel="templates" href="/api/storagedomains/455a2bda-6acd-4cef-b7aa-9d94724416c8/templates"/>
        <link rel="vms" href="/api/storagedomains/455a2bda-6acd-4cef-b7aa-9d94724416c8/vms"/>
        <type>export</type>
        <master>false</master>
        <storage>
            <type>nfs</type>
            <address>refarch.cloud.lab.eng.bos.redhat.com</address>
            <path>/pub/projects/cloudforms/nfs_exports/rhev3</path>
        </storage>
        <available>367219703808</available>
        <used>1534377066496</used>
        <committed>0</committed>
        <storage_format>v1</storage_format>
    </storage_domain>
</storage_domains>

Comment 2 John Eckersberg 2012-01-17 16:06:29 UTC
While trying to refine the query for this, I reached the following roadblock...

Given:

$ curl -k -u admin@asdf:asdf 'https://cf-rhevasdf.com:8443/api/storagedomains?search=name%3Drhev3-export'
<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<storage_domains>
    <storage_domain id="455a2bda-6acd-4cef-b7aa-9d94724416c8" href="/api/storagedomains/455a2bda-6acd-4cef-b7aa-9d94724416c8">
        <name>rhev3-export</name>
        <link rel="permissions" href="/api/storagedomains/455a2bda-6acd-4cef-b7aa-9d94724416c8/permissions"/>
        <link rel="templates" href="/api/storagedomains/455a2bda-6acd-4cef-b7aa-9d94724416c8/templates"/>
        <link rel="vms" href="/api/storagedomains/455a2bda-6acd-4cef-b7aa-9d94724416c8/vms"/>
        <type>export</type>
        <master>false</master>
        <storage>
            <type>nfs</type>
            <address>refarch.cloud.lab.eng.bos.redhat.com</address>
            <path>/pub/projects/cloudforms/nfs_exports/rhev3</path>
        </storage>
        <available>281320357888</available>
        <used>1620276412416</used>
        <committed>0</committed>
        <storage_format>v1</storage_format>
    </storage_domain>
</storage_domains>


Why doesn't this return the same record?

$ curl -k -u admin@asdf:asdf 'https://cf-rhevasdf.com:8443/api/storagedomains?search=type%3Dexport'
<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<storage_domains/>

Comment 3 Richard Su 2012-01-23 22:15:22 UTC
Posted a patch where we now query the REST API to have it return the xml
containing a list of all storage domains in the data center. We then
perform a XPATH query to find a storage domain that has type equal to
'export' and that has the correct export path.

Comment 4 Richard Su 2012-01-25 21:03:33 UTC
Pushed as commit ecf8334c762376305a14f5143ec09148da6792b6

Comment 5 Steve Linabery 2012-01-26 16:50:24 UTC
ecf8334 in aeolus-configure-2.5.0-8

Comment 6 Dave Johnson 2012-02-02 15:29:55 UTC
good 2 go with 

aeolus-configure-2.5.0-11.el6.noarch


Note You need to log in before you can comment on or make changes to this bug.